package com.alibaba.druid.sql.dialect.mysql.ast.statement;

import com.alibaba.druid.sql.ast.SQLName;
import com.alibaba.druid.sql.ast.statement.SQLAlterTableItem;
import com.alibaba.druid.sql.dialect.mysql.ast.MySqlObjectImpl;
import com.alibaba.druid.sql.dialect.mysql.visitor.MySqlASTVisitor;

public class MysqlAlterTableAlterCheck extends MySqlObjectImpl implements SQLAlterTableItem {
   private SQLName name;
   private Boolean enforced;

   public void accept0(MySqlASTVisitor visitor) {
      if (visitor.visit(this) && this.getName() != null) {
         this.getName().accept(visitor);
      }

      visitor.endVisit(this);
   }

   public SQLName getName() {
      return this.name;
   }

   public void setName(SQLName name) {
      this.name = name;
   }

   public Boolean getEnforced() {
      return this.enforced;
   }

   public void setEnforced(Boolean enforced) {
      this.enforced = enforced;
   }
}
